# NVDeviceAttributeQuery (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class NVDeviceAttributeQuery

    java.lang.Object
      org.lwjgl.opencl.NVDeviceAttributeQuery

    public final class NVDeviceAttributeQuery

extends java.lang.Object

Field Summary
`static int` `CL_DEVICE_COMPUTE_CAPABILITY_MAJOR_NV` Accepted as the <param_name> parameter of clGetDeviceInfo.
`static int` `CL_DEVICE_COMPUTE_CAPABILITY_MINOR_NV` Accepted as the <param_name> parameter of clGetDeviceInfo.
`static int` `CL_DEVICE_GPU_OVERLAP_NV` Accepted as the <param_name> parameter of clGetDeviceInfo.
`static int` `CL_DEVICE_INTEGRATED_MEMORY_NV` Accepted as the <param_name> parameter of clGetDeviceInfo.
`static int` `CL_DEVICE_KERNEL_EXEC_TIMEOUT_NV` Accepted as the <param_name> parameter of clGetDeviceInfo.
`static int` `CL_DEVICE_REGISTERS_PER_BLOCK_NV` Accepted as the <param_name> parameter of clGetDeviceInfo.
`static int` `CL_DEVICE_WARP_SIZE_NV` Accepted as the <param_name> parameter of clGetDeviceInfo.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CL_DEVICE_COMPUTE_CAPABILITY_MAJOR_NV

    public static final int CL_DEVICE_COMPUTE_CAPABILITY_MAJOR_NV

  Accepted as the <param_name> parameter of clGetDeviceInfo.

  See Also:
    Constant Field Values

### CL_DEVICE_COMPUTE_CAPABILITY_MINOR_NV

    public static final int CL_DEVICE_COMPUTE_CAPABILITY_MINOR_NV

  Accepted as the <param_name> parameter of clGetDeviceInfo.

  See Also:
    Constant Field Values

### CL_DEVICE_REGISTERS_PER_BLOCK_NV

    public static final int CL_DEVICE_REGISTERS_PER_BLOCK_NV

  Accepted as the <param_name> parameter of clGetDeviceInfo.

  See Also:
    Constant Field Values

### CL_DEVICE_WARP_SIZE_NV

    public static final int CL_DEVICE_WARP_SIZE_NV

  Accepted as the <param_name> parameter of clGetDeviceInfo.

  See Also:
    Constant Field Values

### CL_DEVICE_GPU_OVERLAP_NV

    public static final int CL_DEVICE_GPU_OVERLAP_NV

  Accepted as the <param_name> parameter of clGetDeviceInfo.

  See Also:
    Constant Field Values

### CL_DEVICE_KERNEL_EXEC_TIMEOUT_NV

    public static final int CL_DEVICE_KERNEL_EXEC_TIMEOUT_NV

  Accepted as the <param_name> parameter of clGetDeviceInfo.

  See Also:
    Constant Field Values

### CL_DEVICE_INTEGRATED_MEMORY_NV

    public static final int CL_DEVICE_INTEGRATED_MEMORY_NV

  Accepted as the <param_name> parameter of clGetDeviceInfo.

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.